### Namespace

# Hinawa – 4.0

The library to operate 1394 OHCI hardware for asynchronous communication in IEEE 1394 bus

Version | 4.0.2
Authors | Takashi Sakamoto
License | LGPL-2.1-or-later
Website | https://alsa-project.github.io/gobject-introspection-docs/hinawa/
Source | https://git.kernel.org/pub/scm/libs/ieee1394/libhinawa.git/

#### Build

C headers | `hinawa.h`
pkg-config files | `hinawa`

#### Dependencies

GLib—2.0 | The base utility library
| Browse documentation
GObject—2.0 | The base type system and object class
| Browse documentation

#### Related libraries

Hitaki | The library to operate ALSA HwDep character device for Audio and Music unit in IEEE 1394 bus
| Browse documentation

#### Additional documentation

- Overview
- Classes Hierarchy

#### Classes

FwFcp
FwNode
FwReq
FwResp

#### Structs

CycleTime

#### Enumerations

FwRcode
FwTcode

#### Error Domains

FwFcpError
FwNodeError
FwReqError
FwRespError